Opened 16 years ago

Closed 7 years ago

#98 closed enhancement (fixed)

IZ570: qstat -s prsz bug

Reported by: alexger Owned by: Dave Love <d.love@…>
Priority: normal Milestone:
Component: sge Version: 5.3p2
Severity: Keywords: SunOS clients
Cc:

Description

[Imported from gridengine issuezilla http://gridengine.sunsource.net/issues/show_bug.cgi?id=570]

        Issue #:      570              Platform:     All           Reporter: alexger (alexger)
       Component:     gridengine          OS:        SunOS
     Subcomponent:    clients          Version:      5.3p2            CC:    None defined
        Status:       NEW              Priority:     P3
      Resolution:                     Issue type:    ENHANCEMENT
                                   Target milestone: ---
      Assigned to:    andreas (andreas)
      QA Contact:     roland
          URL:
       * Summary:     qstat -s prsz bug
   Status whiteboard:
      Attachments:

     Issue 570 blocks:
   Votes for issue 570:


   Opened: Wed Jun 18 06:06:00 -0700 2003 
------------------------


The job with job-ID=61 is actually pending.

> qstat -s prsz

################################################################################
 --  FINISHED JOBS  -  FINISHED JOBS  -  FINISHED
JOBS  -  FINISHED JOBS  --
################################################################################
job-ID  prior name       user         state
submit/start at
queue      master  ja-task-ID
---------------------------------------------------------------------------------------------
     61     0 simple.sh  alexger      qw
06/18/2003 16:33:54
     55     0 VVVVVVVVVV alexger      qw
06/11/2003 14:46:36
     57     0 Sleeper    moscat       qw
06/16/2003 16:56:25
     58     0 Aborted    alexger      qw
06/17/2003 09:48:28
     59     0 Sleeper    alexger      qw
06/17/2003 10:07:28
     60     0 simple.sh  alexger      qw
06/17/2003 11:38:28



> qstat -s p
job-ID  prior name       user         state
submit/start at
queue      master  ja-task-ID
---------------------------------------------------------------------------------------------
     61     0 simple.sh  alexger      qw
06/18/2003 16:33:54

   ------- Additional comments from alexger Wed Jun 18 06:08:57 -0700 2003 -------
I use SGE 5.3p2 and the `qstat -s prsz` command seems to display
pending jobs together with recently finished. The job with job-ID=61 is
actually pending.
Since the first job in the output can be earlest and pending and
all other jobs can have later submit-time and be finished I don't
see the possibility to distinguish it.

 > qstat -s prsz

################################################################################
 --  FINISHED JOBS  -  FINISHED JOBS  -  FINISHED JOBS  -  FINISHED
JOBS  --
################################################################################
job-ID  prior name       user         state submit/start at
queue      master  ja-task-ID
---------------------------------------------------------------------------------------------
     61     0 simple.sh  alexger      qw    06/18/2003 16:33:54
     55     0 VVVVVVVVVV alexger      qw    06/11/2003 14:46:36
     57     0 Sleeper    moscat       qw    06/16/2003 16:56:25
     58     0 Aborted    alexger      qw    06/17/2003 09:48:28
     59     0 Sleeper    alexger      qw    06/17/2003 10:07:28
     60     0 simple.sh  alexger      qw    06/17/2003 11:38:28



 > qstat -s p
job-ID  prior name       user         state submit/start at
queue      master  ja-task-ID
---------------------------------------------------------------------------------------------
     61     0 simple.sh  alexger      qw    06/18/2003 16:33:54

   ------- Additional comments from andreas Thu Dec 11 08:30:47 -0700 2003 -------
Sorry for the late reply:

Is it true that the jobs 55-60 actually were finished jobs?
If so the fix/enhancement here might be to display finished
jobs always with a 'z' state indicator.

   ------- Additional comments from sgrell Thu Feb 26 08:11:21 -0700 2004 -------
In case of qstat -s prsz can one not desdinguish between
pending jobs and finished jobs. We need a new job state
for it. Therefor it is an enhancement request.

Stephan

   ------- Additional comments from sgrell Mon Dec 12 03:00:09 -0700 2005 -------
Changed the Subcomponent.

Stephan

   ------- Additional comments from roland Mon Feb 13 01:22:15 -0700 2006 -------
see stephans comment

   ------- Additional comments from roland Mon Feb 13 01:23:29 -0700 2006 -------
switched to ENHANCEMENT

Change History (1)

comment:1 Changed 7 years ago by Dave Love <d.love@…>

  • Owner set to Dave Love <d.love@…>
  • Resolution set to fixed
  • Status changed from new to closed

In 4451/sge:

Fix #98, #1432: distinguish zombie jobs in qstat

Note: See TracTickets for help on using tickets.